| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | List of all members
cv::bgsegm::SyntheticSequenceGenerator Class Reference
Improved Background-Foreground Segmentation Methods

Synthetic frame sequence generator for testing background subtraction algorithms. More...

`#include "bgsegm.hpp"`

Inheritance diagram for cv::bgsegm::SyntheticSequenceGenerator:

## Public Member Functions
| SyntheticSequenceGenerator (InputArray background, InputArray object, double amplitude, double wavelength, double wavespeed, double objspeed)
| Creates an instance of SyntheticSequenceGenerator. More...
void | getNextFrame (OutputArray frame, OutputArray gtMask)
| Obtain the next frame in the sequence. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Synthetic frame sequence generator for testing background subtraction algorithms.

It will generate the moving object on top of the background. It will apply some distortion to the background to make the test more complex.

## Constructor & Destructor Documentation

## § SyntheticSequenceGenerator()

cv::bgsegm::SyntheticSequenceGenerator::SyntheticSequenceGenerator | ( | InputArray | background,
|  | InputArray | object,
|  | double | amplitude,
|  | double | wavelength,
|  | double | wavespeed,
|  | double | objspeed
| ) |  |

Python:
| <bgsegm_SyntheticSequenceGenerator object> | = | cv.bgsegm_SyntheticSequenceGenerator( | background, object, amplitude, wavelength, wavespeed, objspeed | )

Creates an instance of SyntheticSequenceGenerator.

Parameters

  background | Background image for object.
  object | Object image which will move slowly over the background.
  amplitude | Amplitude of wave distortion applied to background.
  wavelength | Length of waves in distortion applied to background.
  wavespeed | How fast waves will move.
  objspeed | How fast object will fly over background.

## Member Function Documentation

## § getNextFrame()

void cv::bgsegm::SyntheticSequenceGenerator::getNextFrame | ( | OutputArray | frame,
|  | OutputArray | gtMask
| ) |  |

Python:
| frame, gtMask | = | cv.bgsegm_SyntheticSequenceGenerator.getNextFrame( | [, frame[, gtMask]] | )

Obtain the next frame in the sequence.

Parameters

  frame | Output frame.
  gtMask | Output ground-truth (reference) segmentation mask object/background.

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/bgsegm/include/opencv2/bgsegm.hpp